const prisma = require('../../../src/prisma/PrismaClient.js');
const timeLocal = require('../../../src/utils/TimeLocal.js')

const cityNames = [
    'Kabupaten Bandung',
    'Kabupaten Bandung Barat',
    'Kabupaten Bekasi',
    'Kabupaten Bogor',
    'Kabupaten Ciamis',
    'Kabupaten Cianjur',
    'Kabupaten Cirebon',
    'Kabupaten Garut',
    'Kabupaten Indramayu',
    'Kabupaten Karawang',
    'Kabupaten Kuningan',
    'Kabupaten Majalengka',
    'Kabupaten Pangandaran',
    'Kabupaten Purwakarta',
    'Kabupaten Subang',
    'Kabupaten Sukabumi',
    'Kabupaten Sumedang',
    'Kabupaten Tasikmalaya',
    'Kota Bandung',
    'Kota Banjar',
    'Kota Bekasi',
    'Kota Bogor',
    'Kota Cimahi',
    'Kota Cirebon',
    'Kota Depok',
    'Kota Sukabumi',
    'Kota Tasikmalaya'

    // 27
];

exports.seedJawaBaratCities = async () => {
    const province = await prisma.province.findFirst({
        where: { name: 'Jawa Barat' },
    });

    if (!province) {
        console.error('❌ Province Jawa Barat not found. Seed it first.');
        return;
    }

    for (const name of cityNames) {
        await prisma.city.upsert({
            where: {
                name_province_id: {
                    name,
                    province_id: province.id,
                },
            },
            update: {
                updatedAt: timeLocal.now().toDate()
            },
            create: {
                name,
                province_id: province.id,
                createdAt: timeLocal.now().toDate()
            },
        });
    }

    console.log('✅ Jawa Barat City seeded!.');
};